import request from '@/utils/request'
import Qs from 'qs'


export function listGoods(query) {
    return request({
      url: '/snow/listGoods',
      method: 'get',
      params: query
    })
  }

  export function listSnowTalents(query) {
    return request({
      url: '/snow/listSnowTalents',
      method: 'get',
      params: query
    })
  }

  
  export function listAllTalents(query) {
    return request({
      url: '/snow/listAllTalents',
      method: 'get',
      params: query
    })
  }


export function listSnow(query) {
    return request({
      url: '/snow/list',
      method: 'get',
      params: query
    })
  }
  
  export function createSnow(data) {
    return request({
      url: '/snow/create',
      method: 'post',
      data
    })
  } 

  
  export function topSnow(data) {
    return request({
      url: '/snow/top',
      method: 'post',
      data
    })
  } 
  
  export function updateSnow(data) {
    return request({
      url: '/snow/update',
      method: 'post',
      data
    })
  }
  
  export function deleteSnow(data) {
    return request({
      url: '/snow/delete',
      method: 'post',
      data
    })
  }

  
  export function enableSnow(data) {
    return request({
      url: '/snow/enable',
      method: 'post',
      data
    })
  }
  
  
  export function snowAppend(data) {
    return request({
      url: '/snow/append',
      method: 'post',
      data
    })
  } 

 
  
  export function snowSaldOut(data) {
    return request({
      url: '/snow/saldOut',
      method: 'post',
      data
    })
  } 

 